## exec-path-from-shell-el 2.2

=== Makefile ===
EMACS ?= emacs

# A space-separated list of required package names
DEPS = cl-lib

INIT_PACKAGES="(progn \
  (require 'package) \
  (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
  (package-initialize) \
  (dolist (pkg '(PACKAGES)) \
    (unless (package-installed-p pkg) \
      (unless (assoc pkg package-archive-contents) \
        (package-refresh-contents)) \
      (package-install pkg))) \
  )"

all: compile package-lint clean-elc

package-lint:
	${EMACS} -Q --eval $(subst PACKAGES,package-lint,${INIT_PACKAGES}) -batch -f package-lint-batch-and-exit exec-path-from-shell.el

compile: clean-elc
	${EMACS} -Q --eval $(subst PACKAGES,${DEPS},${INIT_PACKAGES}) -L . -batch -f batch-byte-compile *.el

clean-elc:
	rm -f f.elc

.PHONY:	all compile clean-elc package-lint

## exec-path-from-shell-el 1.12

=== debian/changelog ===
exec-path-from-shell-el (1.12-2) unstable; urgency=medium

  * Source-only upload
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 27 Feb 2020 22:13:01 +0500

exec-path-from-shell-el (1.12-1) unstable; urgency=medium

  * Initial release (Closes: #947818)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 31 Dec 2019 11:01:48 +0500

=== debian/control ===
Source: exec-path-from-shell-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/purcell/exec-path-from-shell
Vcs-Browser: https://salsa.debian.org/emacsen-team/exec-path-from-shell-el
Vcs-Git: https://salsa.debian.org/emacsen-team/exec-path-from-shell-el.git

Package: elpa-exec-path-from-shell
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: get environment variables such as $PATH from the shell
 This library allows the user to set Emacs' `exec-path' and $PATH from
 the shell path, so that `shell-command', `compile' and the like work
 as expected.
 .
 It also allows other environment variables to be retrieved from the
 shell, so that Emacs will see the same values you get in a terminal.

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%exec-path-from-shell-el-$1.tar.gz%" \
             https://github.com/purcell/exec-path-from-shell/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## exec-path-from-shell-el 2.1

=== debian/changelog ===
exec-path-from-shell-el (2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Lev Lamberov ]
  * New upstream version 2.1
  * Add upstream metadata
  * Refresh patch to clean documentation, drop obsolete patch
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 11 Aug 2023 10:29:44 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/purcell/exec-path-from-shell
 Vcs-Browser: https://salsa.debian.org/emacsen-team/exec-path-from-shell-el
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: get environment variables such as $PATH from the shell
  This library allows the user to set Emacs' `exec-path' and $PATH from

## exec-path-from-shell-el 2.2

=== debian/changelog ===
exec-path-from-shell-el (2.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:26:32 +0900

exec-path-from-shell-el (2.2-2) unstable; urgency=medium

  * Disable network access during build (Closes: #1068124)
    Thanks to Brendan O'Dea

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 18 Apr 2024 11:23:42 +0500

exec-path-from-shell-el (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * Update patch to clean documentation
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 17 Apr 2024 16:48:15 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/purcell/exec-path-from-shell
 Vcs-Browser: https://salsa.debian.org/emacsen-team/exec-path-from-shell-el

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	# The upsream Makefile attempts to fetch `package-lint` from melpa,
	# which fails if the network is unavailable.  The only onther thing
	# that the rule does is byte compile as a sanity check, then remove
	# the results of that compilation.  Nothing required here.

.PHONY: override_dh_auto_build
